package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.ImgFilesAddCmd;
import com.zcloud.basic.info.dto.ImgFilesPageQry;
import com.zcloud.basic.info.dto.ImgFilesQryCmd;
import com.zcloud.basic.info.dto.ImgFilesUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.ImgFilesCO;
import com.zcloud.basic.info.dto.clientobject.ImgFilesBase64CO;
import com.zcloud.basic.info.dto.clientobject.ImgFilesInfoCO;

import java.util.Map;

/**
* web-client
* @Author zhangyue
* @Date 2025-10-30 16:10:08
*/
public interface ImgFilesServiceI {
    PageResponse<ImgFilesCO> listPage(ImgFilesPageQry qry);

    SingleResponse<ImgFilesCO> add(ImgFilesAddCmd cmd);
    SingleResponse<ImgFilesInfoCO> batchAdd(ImgFilesAddCmd cmd);

    void edit(ImgFilesUpdateCmd cmd);

    void removeFile(String filePath);

    void removeBatch(Long[] ids);

    void removeBatch(Map<String, Object> params);

    MultiResponse<ImgFilesCO> listAll(ImgFilesQryCmd imgFilesQryCmd);

    String getImagePath();

    MultiResponse<ImgFilesBase64CO> listAllBase64(ImgFilesQryCmd imgFilesQryCmd);
}

